import request from '@/utils/request'

// 查询检修工单;一是根据检修计划自动创建的检修工单，二是手工创建故障报修工单列表
export function listDmsRepairInstance(query) {
  return request({
    url: '/dms/dmsRepairInstance/list',
    method: 'get',
    params: query
  })
}

// 查询检修工单;一是根据检修计划自动创建的检修工单，二是手工创建故障报修工单详细
export function getDmsRepairInstance(repairInstanceId) {
  return request({
    url: '/dms/dmsRepairInstance/' + repairInstanceId,
    method: 'get'
  })
}

// 新增检修工单;一是根据检修计划自动创建的检修工单，二是手工创建故障报修工单
export function addDmsRepairInstance(data) {
  return request({
    url: '/dms/dmsRepairInstance',
    method: 'post',
    data: data
  })
}

// 修改检修工单;一是根据检修计划自动创建的检修工单，二是手工创建故障报修工单
export function updateDmsRepairInstance(data) {
  return request({
    url: '/dms/dmsRepairInstance',
    method: 'put',
    data: data
  })
}

// 删除检修工单;一是根据检修计划自动创建的检修工单，二是手工创建故障报修工单
export function delDmsRepairInstance(repairInstanceId) {
  return request({
    url: '/dms/dmsRepairInstance/' + repairInstanceId,
    method: 'delete'
  })
}
